﻿

/*CUSTOM By ALIF*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.sfPageEditor #mySidenav {
    width: 100% !important;
}

.sfPageEditor .bottommenu {
    position: initial !important;
}

.sfPageEditor .sidenav, .sfPageEditor .sidenav-dropdown {
    height: auto !important;
    position: relative !important;
    padding-top: 0px !important;
}

.sfPageEditor .header {
    margin-bottom: 0px !important;
}

.container-fluid {
    padding-top: 1px;
    margin-top: -61px;
}

.-sf-integrated-app body,
html.sfPageEditorWrp, body.sfPageEditor, body.sfPageEditor form {
    max-width: 100% !important;
}


.bgcolorTnc {
    background-image: url("../img/parl_bg1.jpg");
    min-height: 100%;
    background-attachment: fixed;
    background-position: center center;
    background-repeat: no-repeat;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

#msform {
    width: 100%;
    margin: 50px auto;
    text-align: center;
    position: relative;
}

    #msform .action-button {
        display: none;
    }

    #msform .GetReward {
        display: none;
    }

.activity.overlay {
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    height: 100%;
    width: 100%;
    z-index: 100;
    top: 0;
    left: 0;
}

.video.modal {
    padding: 0 !important;
}

    .video.modal .modal-dialog {
        width: 100%;
        padding: 0;
    }

    .video.modal button.activity {
        width: 50px;
        padding: 12px;
        position: absolute;
        margin: 0 auto;
        top: 0;
        background: white;
        right: 0;
        font-size: medium;
    }

button.activity.close.icon {
    color: red;
    font-size: 35px;
    padding-top: 0px;
    padding-bottom: 6px;
}

.video.modal .modal-content, .video.modal .modal-body {
    padding: 0;
    background: none;
}

.video.modal button.activity.timer {
    right: 32px;
    /*border-radius: 0 0 0 10px;*/
}

.video.modal button.close.active {
    background: white;
    color: black;
    transition: width ease-in-out 1s;
}

    .video.modal button.close.active[disabled] {
        background: grey;
        color: black;
        transition: width ease-in-out 1s;
    }

.OtpCountdown {
    color: #dae0e5;
    font-weight: bold;
}

.inputotp {
    margin-bottom: 10px;
}

    .inputotp p {
        margin-bottom: 25px;
    }

audio::-webkit-media-controls-timeline,
video::-webkit-media-controls-timeline {
    display: none;
}

.list-inline-item {
    display: list-item;
}

.complete-journey {
    position: initial !important;
}

.welcomepage {
    margin: auto;
    width: 100%;
}

.loading-bar {
    display: block;
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    overflow-x: hidden;
    background-color: #DF3730; /* use px color $primary-light */
}

    .loading-bar:before {
        content: "";
        position: absolute;
        display: block;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 102%;
        background-color: white; /* use px color $primary-default */
        animation: LoadingBar 1.5s cubic-bezier(.5,.01,.51,1) infinite;
    }

.pwh-progressbar {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    height: 2px;
    z-index: 9999;
}

    .pwh-progressbar.ion-show {
        opacity: 1;
        visibility: visible;
    }

    .pwh-progressbar.ion-hide {
        opacity: 0;
        visibility: hidden;
    }

@keyframes LoadingBar {
    0% {
        transform: translateX(-102%)
    }

    45% {
        transform: translateX(0)
    }

    55% {
        transform: translateX(0)
    }

    90% {
        transform: translateX(102%)
    }

    100% {
        transform: translateX(102%)
    }
}

.bgcolorLogo {
    height: 110vh;
}

.welcomepage img {
    height: 110vh;
}

@media only screen and (max-width: 768px) {
    .bgcolorWelcome {
        height: 110%;
    }
}

.phasetwopage.bgcolorleaf {
    min-height: 109vh;
}

.select2-results__option {
    color: black !important;
}

.phasetwopage input.inputnumber {
    letter-spacing: 8px;
}

.progress__step--active ~ .marl::after,
.marl::after {
    display: none;
}

.bgcolorLoading {
    background-color: #ace0f6;
    background-image: url(../img/bubbleD.png), linear-gradient(#254175, #276ca2);
    min-height: 100%;
    background-attachment: fixed;
    background-position: center center;
    background-repeat: no-repeat;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

/*FULL Screen POP Up*/
.modal-dialog-full-width {
    width: 100% !important;
    height: 100% !important;
    margin: 0 !important;
    padding: 0 !important;
    max-width: none !important;
}

.modal-content-full-width {
    height: auto !important;
    min-height: 100% !important;
    border-radius: 0 !important;
}

.triangle .number {
    position: absolute;
    padding: 0rem 2.8rem;
}

.bgcolorTnc .container-fluid {
    margin-top: -78px;
}

.progress__step--active ~ .progress__step::before {
    background-image: linear-gradient(to right, #607DC6, rgba(255,0,0,0));
    Content: "";
    position: absolute;
    top: 1.5em;
    left: 5%;
    width: 50%;
    height: .4em;
    z-index: 0;
    border-radius: 90px;
}

.progress__step--active ~ .progress__step::before {
    background-color: transparent !important;
    box-shadow: none !important;
}

.progress__step:not(:first-child)::after {
    Content: "";
    position: absolute;
    top: 1.5em;
    left: 5%;
    width: 50%;
    height: .4em;
    z-index: 0;
    border-radius: 90px;
}

.progress__step--active span {
    color: #ffffff;
    padding: 1px 8px;
    border-radius: 10px;
    background-image: transparent;
    position: absolute;
    margin-top: 12px;
    margin-left: 2%;
    z-index: 1;
}

.progress__step {
    display: none;
}

.progress__step--active {
    display: block !important;
}

.progressLine {
    margin-bottom: 50px !important;
}

.dash {
    background: -webkit-linear-gradient(rgba(255,0,0,0), #607DC6, rgba(255,0,0,0));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
button.close.activity.icon.text.hidden {
    opacity: 100%;
    background: transparent;
    bottom: 0;
    position: absolute;
    text-align: center;
    left: 0;
    top: 25%;
    width: 180px;
    line-height: 1.5;
    height: fit-content;
    background-color: #254377;
    border: 1px solid #ffffff;
    color: #ffffff;
    font-size: 15px;
    padding: 10px 40px;
    font-weight: 400;
    font-family: inherit;
    box-shadow: 0px 4px 4px rgb(0 0 0 / 30%);
    text-transform: uppercase;
    letter-spacing: 1px;
}
.paymentPage button.bottombutton {
    bottom: 276px;
}
